Get Task
curl --request GET \
--url https://api.example.com/tasks/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/tasks/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/tasks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "tsk_01KE7XWWEQ4MCGWKBQKJ1G47RP",
"apiKeyId": "key_01KE7XWWEQ4MCGWKBQKJ1G47RP",
"userId": "user_01KE7XWWEQ4MCGWKBQKJ1G47RP",
"status": "completed",
"request": {
"model": "black-forest-labs/flux.2-pro",
"prompt": "A futuristic cityscape at sunset with flying cars",
"count": 1,
"size": "landscape",
"output": {
"format": "webp",
"quality": 80
}
},
"result": {
"model": "black-forest-labs/flux.2-pro",
"images": [
{
"status": "success",
"id": "img_01KE7XWWEQ4MCGWKBQKJ1G47RP",
"url": "https://cdn.example.com/generated/image1.webp",
"mynth_url": "https://mynthcdn.example.com/generated/image1.webp",
"cost": "0.01250000",
"size": "1536x1024"
}
]
},
"cost": "0.01250000",
"type": "image.generate",
"updatedAt": "2025-01-15T10:30:12.000Z",
"createdAt": "2025-01-15T10:30:00.000Z"
}
}Tasks
Get Task
GET
/
tasks
/
{id}
Get Task
Authorizations
apiKeyAuthoauthAuth
Mynth API key sent as Authorization: Bearer <api-key>.
Path Parameters
Response
200 - application/json
Task returned
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
Show child attributes
Show child attributes
⌘I